libdvbv5: dvb_desc_hierarchy Struct Reference

libdvbv5 1.28.1 Library to work with Digital TV devices on Linux

Data Fields
dvb_desc_hierarchy Struct Reference
Parsers for several MPEG-TS descriptors

Structure containing the hierarchy descriptor. More...

`#include <desc_hierarchy.h>`

## Data Fields
uint8_t | type
uint8_t | length
struct dvb_desc * | next
uint8_t | hierarchy_type:4
uint8_t | reserved:4
uint8_t | layer:6
uint8_t | reserved2:2
uint8_t | embedded_layer:6
uint8_t | reserved3:2
uint8_t | channel:6
uint8_t | reserved4:2

## Detailed Description

Structure containing the hierarchy descriptor.

Parameters

  type | descriptor tag
  length | descriptor length
  next | pointer to struct dvb_desc
  hierarchy_type | hierarchy type
  layer | hierarchy layer index
  embedded_layer | hierarchy embedded layer index
  channel | hierarchy channel

Definition at line 57 of file desc_hierarchy.h.

## Field Documentation

## ◆ channel

uint8_t dvb_desc_hierarchy::channel

Definition at line 71 of file desc_hierarchy.h.

## ◆ embedded_layer

uint8_t dvb_desc_hierarchy::embedded_layer

Definition at line 68 of file desc_hierarchy.h.

## ◆ hierarchy_type

uint8_t dvb_desc_hierarchy::hierarchy_type

Definition at line 62 of file desc_hierarchy.h.

## ◆ layer

uint8_t dvb_desc_hierarchy::layer

Definition at line 65 of file desc_hierarchy.h.

## ◆ length

uint8_t dvb_desc_hierarchy::length

Definition at line 59 of file desc_hierarchy.h.

## ◆ next

struct dvb_desc* dvb_desc_hierarchy::next

Definition at line 60 of file desc_hierarchy.h.

## ◆ reserved

uint8_t dvb_desc_hierarchy::reserved

Definition at line 63 of file desc_hierarchy.h.

## ◆ reserved2

uint8_t dvb_desc_hierarchy::reserved2

Definition at line 66 of file desc_hierarchy.h.

## ◆ reserved3

uint8_t dvb_desc_hierarchy::reserved3

Definition at line 69 of file desc_hierarchy.h.

## ◆ reserved4

uint8_t dvb_desc_hierarchy::reserved4

Definition at line 72 of file desc_hierarchy.h.

## ◆ type

uint8_t dvb_desc_hierarchy::type

Definition at line 58 of file desc_hierarchy.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/desc_hierarchy.h